# Created by pyp2rpm-3.3.5
%global pypi_name ansible-core
%global srcname ansible_core

%global tarball_version %%(echo %{version} | tr -d '~')

Name:           python-%{pypi_name}
Version:        2.18.4
Release:        %mkrel 3
Summary:        Radically simple IT automation
Group:          Development/Python
License:        GPLv3+
URL:            https://ansible.com/
Source0:        %{pypi_source %{srcname} %{tarball_version}}
Patch1:         ansible-core-reqs.patch
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}
%{?python_provide:%python_provide python3-ansible-base}
%{?py_provides:%py_provides python3-ansible-base}
Provides:	ansible-core = %{version}-%{release}
Provides:	ansible-base = %{version}-%{release}
Obsoletes:	python3-%{srcname} < 2.16.8-3
Conflicts:	ansible < 7.0.1

%description -n python3-%{pypi_name}
Ansible is a radically simple IT automation system. It handles configuration
management, application deployment, cloud provisioning, ad-hoc task execution,
network automation, and multi-node orchestration. Ansible makes complex changes
like zero-downtime rolling updates with load balancers easy.

%prep
%autosetup -n %{srcname}-%{tarball_version} -p1

%py3_shebang_fix test/lib/ansible_test/_util/target/cli/ansible_test_cli_stub.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ansible ansible_test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license licenses/*{L,l}icense.txt
%doc README.md
%{_bindir}/ansible
%{_bindir}/ansible-config
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-test
%{_bindir}/ansible-vault


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.18.4-3.mga10
+ Revision: 2251071
- Mageia 10 Mass Rebuild

* Wed Apr 09 2025 papoteur <papoteur> 2.18.4-2.mga10
+ Revision: 2174381
- Rebuild

* Sun Mar 02 2025 daviddavid <daviddavid> 2.17.7-2.mga10
+ Revision: 2156581
- rebuild for python 3.13

* Mon Feb 10 2025 ns80 <ns80> 2.17.7-1.mga10
+ Revision: 2146590
- new version 2.17.7 for CVE-2024-8775, CVE-2024-9902 and CVE-2024-11079 (mga#33828)

* Tue Aug 27 2024 neoclust <neoclust> 2.17.3-1.mga10
+ Revision: 2091877
- New version 2.17.3

* Mon Jun 24 2024 wally <wally> 2.16.8-3.mga10
+ Revision: 2076449
- obsolete pkg with wrong name

* Mon Jun 24 2024 papoteur <papoteur> 2.16.8-2.mga10
+ Revision: 2076362
- fix package name without _
- new version 2.16.8

* Sun Dec 10 2023 wally <wally> 2.16.1-1.mga10
+ Revision: 2017035
- new version 2.16.1

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-3.mga9
+ Revision: 1936306
- conflict with older ansible (mga#31456)

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-2.mga9
+ Revision: 1936279
- add provides for ansible-core and -base

* Thu Jan 26 2023 wally <wally> 2.14.2~rc1-1.mga9
+ Revision: 1936268
- new version 2.14.2rc1

* Mon Jan 09 2023 papoteur <papoteur> 2.14.1-1.mga9
+ Revision: 1931966
- imported package python-ansible-core

